<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.atmob.voiceai">

    <!-- 允许访问网络，必选权限 -->
    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:name=".App"
        android:allowBackup="false"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.VoiceAI"
        tools:ignore="LockedOrientationActivity"
        tools:replace="android:allowBackup"
        tools:targetApi="32">


        <activity
            android:name=".module.splash.SplashActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Splash">

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".module.main.MainActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.subscription.SubscriptionPageActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.generating.VoiceGeneratingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.result.VoiceResultActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".module.setting.SettingActivity"
            android:screenOrientation="portrait" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/atmob_filepath" />
        </provider>
    </application>


</manifest>